* {
    margin: 0;
    padding: 0;
    box-sizing: border-box font-family: Arial, Helvetica, sans-serif;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: url('https://images4.alphacoders.com/864/864574.png') no-repeat;
    background-size: cover;
    background-position: center;
}

header {
    position: fixed;
    top: 0;
    left: 0;
    width: 85%;
    padding: 20px 100px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 99;
}

.logo {
    font-size: 2.1em;
    color: white;
    user-select: none;
    font-family: Arial, Helvetica, sans-serif;
}

.navigation a {
    position: relative;
    font-size: 1.5em;
    color: white;
    text-decoration: none;
    font-weight: 500;
    margin-left: 40px;
    font-family: Arial, Helvetica, sans-serif;
}

.navigation a::after {
    content: '';
    left: 0;
    bottom: -6px;
    position: absolute;
    width: 100%;
    height: 3px;
    background: white;
    border-radius: 5px;
    transform: scaleX(0);
    transition: transform .5s;
}

.navigation a:hover::after {
    transform: scaleX(1);
}

.btnRepository a {
    display: block;
    width: 90px;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: 700;
    border-radius: 10px;
    margin-left: 40px;
    padding: 15px 30px;
    border: 2px solid white;
    background-color: transparent;
    color: white;
    text-decoration: none;
    transition: .5s;
    outline: none;
    cursor: pointer;
    font-size: 1.1em;
}

.btnRepository a:hover {
    background: white;
    color: black;
}

.test {
    font-size: 5em;
    color: white;
    user-select: none;
    margin-top: 40px;
    font-family: Arial, Helvetica, sans-serif;
}






.wrapper {
    box-sizing: content-box;
    width: 35.87em;
    padding: 2.5em 3em;
    background-color: #ffffff;
    position: absolute;
    transform: translate(-50%, -50%);
    left: 50%;
    top: 40%;
    border-radius: 0.6em;
    box-shadow: 0 0.9em 2.8em white;
}

.game-container {
    position: relative;
    width: 105%;
    display: grid;
    gap: 2.6em;
}

.stats-container {
    text-align: right;
    margin-bottom: 1.2em;
}

.stats-container span {
    font-weight: 600;
}

.card-container {
    position: relative;
    width: 6.25em;
    height: 6.25em;
    cursor: pointer;
}

.card-before,.card-after {
    position: absolute;
    border-radius: 5px;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 4px solid #000000;
    transition: transform 0.7s ease-out;
    backface-visibility: hidden;
}

.card-before {
    background-color: #119DB2;
    font-size: 2.8em;
    font-weight: 600;
}

.card-after {
    background-color: #ffffff;
    transform: rotateY(180deg);
}

.card-container.flipped .card-before {
    transform: rotateY(180deg);
}

.card-container.flipped .card-after {
    transform: rotateY(0deg);
}

.controls-container {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 100%;
    height: 100%;
    background: url('https://images4.alphacoders.com/864/864574.png') no-repeat;
    top: 0;
}

button {
    border: none;
    border-radius: 0.3em;
    padding: 0.8em 1em;
    cursor: pointer;
    font-family: Arial, Helvetica, sans-serif;
}

#stop {
    font-size: 1.6em;
    display: block;
    margin: 2.1em auto 0 auto;
    background-color: #000000;
    color: #ffffff;
}

.controls-container h3{
    text-align: center;
    font-size: 100px;
    color: white;
    font-weight: 600;
    font-family: Arial, Helvetica, sans-serif;
}

.controls-container button {
    margin-top: 40px;
    font-size: 2.3em;
    box-shadow: 0 0.6em 2em white;
}

.hide {
    display: none;
}

#result {
    text-align: center;
}

#result h2 {
    font-size: 6.5em;
    color: white;
    user-select: none;
    font-family: Arial, Helvetica, sans-serif;
}

#result h4 {
    font-size: 1.8em;
    margin: 0.6em 0 1em 0;
    color: white;
    user-select: none;
    font-family: Arial, Helvetica, sans-serif;

}

/* Responsive del la aplicacion */

@media screen and (min-width: 768px) {
    .wrapper {
        margin-top: 7rem; /* Ajusta el valor de margen según sea necesario para la pantalla de 768px o más grande */
    }

    .game-container {
        grid-template-columns: repeat(4, 1fr);
    }
    
}

/* Responsive de la aplicación para dispositivos celulares */
@media screen and (min-width: 408px) {
    .wrapper {
        margin-top: 5rem; /* Ajusta el valor de margen según sea necesario para la pantalla de 408px o más grande */
    }
    .card-container {
        width: 5em;
        height: 5em;
    }
}

/* Responsive de la aplicación para dispositivos celulares */
@media screen and (min-height: 408px) {
    .wrapper {
        margin-top: 9rem; /* Ajusta el valor de margen según sea necesario para la pantalla de 408px de altura o más grande */
    }
}
